# XW_KEYBOARDEVENT Struct Reference

`#include <Xw_Cextern.hxx>`

## Data Fields

XW_EVENTTYPE | type
XW_EXT_WINDOW * | awindow
int | modifier
int | keycode
int | state
char * | string
int | x
int | y

## Field Documentation

XW_EXT_WINDOW* XW_KEYBOARDEVENT::awindow

int XW_KEYBOARDEVENT::keycode

int XW_KEYBOARDEVENT::modifier

int XW_KEYBOARDEVENT::state

char* XW_KEYBOARDEVENT::string

XW_EVENTTYPE XW_KEYBOARDEVENT::type

int XW_KEYBOARDEVENT::x

int XW_KEYBOARDEVENT::y

The documentation for this struct was generated from the following file:

- Xw_Cextern.hxx